gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: add buywith page


From: gnunet
Subject: [taler-deployment] branch master updated: add buywith page
Date: Tue, 24 Dec 2019 00:27:29 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new f971f71  add buywith page
f971f71 is described below

commit f971f71f3e37815ed3b5e9e2ed2272c6cfa05cc9
Author: Christian Grothoff <address@hidden>
AuthorDate: Tue Dec 24 00:27:27 2019 +0100

    add buywith page
---
 bootstrap-sitesbuilder                  |  2 +-
 taler-sitesbuild/Makefile               |  5 +++++
 taler-sitesbuild/invalidate.sh          |  9 +++++++++
 taler-sitesbuild/update_buywith_page.sh | 24 ++++++++++++++++++++++++
 4 files changed, 39 insertions(+), 1 deletion(-)

diff --git a/bootstrap-sitesbuilder b/bootstrap-sitesbuilder
index f070f99..e87eace 100755
--- a/bootstrap-sitesbuilder
+++ b/bootstrap-sitesbuilder
@@ -9,7 +9,7 @@
 set -eu
 
 BRANCH=master
-REPOS="www twister"
+REPOS="www twister buywith"
 
 cd $HOME
 
diff --git a/taler-sitesbuild/Makefile b/taler-sitesbuild/Makefile
index 223d6e7..30cd033 100644
--- a/taler-sitesbuild/Makefile
+++ b/taler-sitesbuild/Makefile
@@ -3,6 +3,7 @@ BASE="${HOME}/deployment/taler-sitesbuild"
 all: www.taler.net-stamp
 all: twister.taler.net-stamp
 all: stage.taler.net-stamp
+all: buywith.taler.net-stamp
 
 stage.taler.net-stamp:
        ${BASE}/update_stage.sh
@@ -15,3 +16,7 @@ www.taler.net-stamp:
 twister.taler.net-stamp:
        ${BASE}/update_twister_page.sh
        touch $@
+
+buywith.taler.net-stamp:
+       ${BASE}/update_buywith_page.sh
+       touch $@
diff --git a/taler-sitesbuild/invalidate.sh b/taler-sitesbuild/invalidate.sh
index 5796912..fbd5321 100755
--- a/taler-sitesbuild/invalidate.sh
+++ b/taler-sitesbuild/invalidate.sh
@@ -26,3 +26,12 @@ if git status -sb | grep behind; then
   echo "invalidating twister.taler.net"
   rm -f $HOME/stamps/twister.taler.net-stamp
 fi
+
+
+# Check Twister Web page.
+cd $HOME/buywith
+git fetch
+if git status -sb | grep behind; then
+  echo "invalidating buywith.taler.net"
+  rm -f $HOME/stamps/buywith.taler.net-stamp
+fi
diff --git a/taler-sitesbuild/update_buywith_page.sh 
b/taler-sitesbuild/update_buywith_page.sh
new file mode 100644
index 0000000..f142c6f
--- /dev/null
+++ b/taler-sitesbuild/update_buywith_page.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
+  git reset --hard "$branch"
+}
+
+cd $HOME/buywith/
+fetch
+git submodule update --force --init
+
+mkdir -p $HOME/buywith.taler.net/
+
+# delete old content
+rm -fr $HOME/buywith.taler.net/*
+
+cp -rt $HOME/buywith.taler.net/ web/*
+
+chmod -R g+rx $HOME/buywith.taler.net/

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]